'

IE still required on FEMA site

As predicted here a week ago, FEMA's website still requires applicants to use Internet Explorer to apply for aid. Last week there was heavy coverage of the fact that FEMA had said they were working on allowing other browsers to access the site. Today, FEMA's message is the same as a week ago.

As predicted here a week ago, FEMA's website still requires applicants to use Internet Explorer to apply for aid. Last week there was heavy coverage of the fact that FEMA had said they were working on allowing other browsers to access the site.  Today, FEMA's  message is the same  as  a week ago:

Do I need Internet Explorer to Register for Assistance Online?

Yes

Currently to complete your application online you must be using Microsoft's Internet Explorer 6.0 or above. We are in the process of modifying the application so that it will be available to additional browsers.

So, is this really hard? Or just not a priority? How about a status report?